# Generated by Django 3.2.14 on 2023-04-26 09:57

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0109_profile_feature'),
        ('document', '0111_firereportpartnersite_firereportsetting'),
    ]

    operations = [
        migrations.CreateModel(
            name='PartnerSiteSyncError',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('operation', models.CharField(choices=[('CREATE', 'CREATE'), ('UPDATE', 'UPDATE'), ('DELETE', 'DELETE')], max_length=10)),
                ('customer_crm_id', models.PositiveIntegerField()),
                ('site_crm_id', models.PositiveIntegerField(null=True)),
                ('site_name', models.CharField(max_length=100, null=True)),
                ('site_payload', models.JSONField(default=dict)),
                ('errors', models.JSONField(default=dict)),
                ('customer', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='accounts.customer')),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='partner_site_sync_errors', to='accounts.provider')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
